Subject: Re: bug#36945: 27.0.50; read-library-name

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 17 Sep 2020 16:40:24 +0200

Eli Zaretskii <[email-masked]> writes:

> Since load-library must support the use case when the user forces to
> load the .el file, not the .elc file, read-library-name must allow
> library names with extensions, I think.  IOW, the "library" in this
> context is just the basename of its file name, with or without the
> extension.

Yeah.  So I think the request in 36945 can't be done -- Emacs has to
complete over all files in load-path, no matter what they're called,
really.

I'm not sure what context the request was made in (since it's not
stated), but I thought about it from a `find-library' context.

Which should probably use something like the patch that was reverted,
but put into its own function.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no